nvme_mi_admin_security_recv(9)

NAME
nvme_mi_admin_security_recv - Perform a Security Receive command on a controller.

SYNOPSIS
int nvme_mi_admin_security_recv (nvme_mi_ctrl_t ctrl , struct nvme_security_receive_args *args );

ARGUMENTS

ctrl
    Controller to send command to

args
    Security Receive command arguments

DESCRIPTION
Performs a Security Receive Admin command as specified by args. Response data is stored in args->data, which should be a buffer of args->data_len bytes. Resulting data length is stored in args->data_len on successful command completion. Security Receive data length should not be greater than 4096 bytes to comply with specification limits. See: struct nvme_get_log_args

RETURN
The nvme command status if a response was received (see enum nvme_status_field) or -1 with errno set otherwise.